org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTHIGHLIGHTTEXTNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTHIGHLIGHTTEXTNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTHIGHLIGHTTEXTNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTHIGHLIGHTTEXTNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTHIGHLIGHTTEXTNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTHIGHLIGHTTEXTNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTHIGHLIGHTTEXTNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTHIGHLIGHTTEXTNode` | `bindHighlightarea(IDynamicContentBindingObject value)`
    `CLIENTHIGHLIGHTTEXTNode` | `bindMessagecontrolid(IDynamicContentBindingObject value)`
    `CLIENTHIGHLIGHTTEXTNode` | `bindMessagenohit(IDynamicContentBindingObject value)`
    `CLIENTHIGHLIGHTTEXTNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTHIGHLIGHTTEXTNode` | `bindText(IDynamicContentBindingObject value)`
    `CLIENTHIGHLIGHTTEXTNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `CLIENTHIGHLIGHTTEXTNode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTHIGHLIGHTTEXTNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTHIGHLIGHTTEXTNode` | `setComment(java.lang.String value)`
    `CLIENTHIGHLIGHTTEXTNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTHIGHLIGHTTEXTNode` | `setHighlightarea(java.lang.String value)`
    `CLIENTHIGHLIGHTTEXTNode` | `setId(java.lang.String value)`
    `CLIENTHIGHLIGHTTEXTNode` | `setMessagecontrolid(java.lang.String value)`
    `CLIENTHIGHLIGHTTEXTNode` | `setMessagenohit(java.lang.String value)`
    `CLIENTHIGHLIGHTTEXTNode` | `setReference(java.lang.String value)`
    `CLIENTHIGHLIGHTTEXTNode` | `setRendered(boolean value)`
    `CLIENTHIGHLIGHTTEXTNode` | `setRendered(java.lang.String value)`
    `CLIENTHIGHLIGHTTEXTNode` | `setText(java.lang.String value)`
    `CLIENTHIGHLIGHTTEXTNode` | `setTrigger(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTHIGHLIGHTTEXTNode

          public CLIENTHIGHLIGHTTEXTNode()

  - ### Method Detail

    - #### setId

          public CLIENTHIGHLIGHTTEXTNode setId(java.lang.String value)

    - #### setAdapterbinding

          public CLIENTHIGHLIGHTTEXTNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTHIGHLIGHTTEXTNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTHIGHLIGHTTEXTNode setAttributemacro(java.lang.String value)

    - #### setComment

          public CLIENTHIGHLIGHTTEXTNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTHIGHLIGHTTEXTNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTHIGHLIGHTTEXTNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTHIGHLIGHTTEXTNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHighlightarea

          public CLIENTHIGHLIGHTTEXTNode setHighlightarea(java.lang.String value)

    - #### bindHighlightarea

          public CLIENTHIGHLIGHTTEXTNode bindHighlightarea(IDynamicContentBindingObject value)

    - #### setMessagecontrolid

          public CLIENTHIGHLIGHTTEXTNode setMessagecontrolid(java.lang.String value)

    - #### bindMessagecontrolid

          public CLIENTHIGHLIGHTTEXTNode bindMessagecontrolid(IDynamicContentBindingObject value)

    - #### setMessagenohit

          public CLIENTHIGHLIGHTTEXTNode setMessagenohit(java.lang.String value)

    - #### bindMessagenohit

          public CLIENTHIGHLIGHTTEXTNode bindMessagenohit(IDynamicContentBindingObject value)

    - #### setReference

          public CLIENTHIGHLIGHTTEXTNode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTHIGHLIGHTTEXTNode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTHIGHLIGHTTEXTNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTHIGHLIGHTTEXTNode setRendered(boolean value)

    - #### setText

          public CLIENTHIGHLIGHTTEXTNode setText(java.lang.String value)

    - #### bindText

          public CLIENTHIGHLIGHTTEXTNode bindText(IDynamicContentBindingObject value)

    - #### setTrigger

          public CLIENTHIGHLIGHTTEXTNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public CLIENTHIGHLIGHTTEXTNode bindTrigger(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.